<?php 
 include("header.php");
 include("conexionOdo.php");
 
 $le   = $_GET['tr'];
 $lin   = base64_decode($le);
 $linea = explode("/", $lin);
 $s_tratamiento  = $linea[0]; //tratamiento
 $pc             = $linea[1]; //preconsulta
 
  // arma listado de citas asignadas al médico
  $query=" SELECT * FROM SIO_O_CITAS WHERE preConsulta = $pc";
  $result = mysql_query($query) or die('Consulta de citas fallida: ' . mysql_error());
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
 
  session_start();    
  $_SESSION['e_tipoId']      = $line["tipoId"];
  $_SESSION['e_identifica']  = $line["idPaciente"];
  $_SESSION['e_tratamiento'] = $line["tratamiento"];
  $_SESSION['s_codCausa']    = $line["causaConsulta"];
  $_SESSION['s_codEntidad']  = $line["codEntidad"];
  $_SESSION['s_tipoCon']     = $line["codTipoConsulta"];
  $_SESSION['s_familiar']    = $line["familiar"];
  $_SESSION['s_parentesco']  = $line["parentesco"];
  $_SESSION['s_telPariente'] = $line["telPariente"];
  $_SESSION['e_tipoId']      = $line["tipoId"];
  $_SESSION['e_identifica']  = $line["idPaciente"];
 
  //paciente
  $e_tipoId       = $_SESSION['e_tipoId']; 
  $e_identifica   = $_SESSION['e_identifica']; 
  $e_tratamiento  = $_SESSION['e_tratamiento']; 
  
 
 
 // TRAE DATOS DEL PACIENTE
 $query = "SELECT * FROM SIME_BAS_PACIENTE WHERE tipoId='$e_tipoId ' AND idPaciente=$e_identifica ";
 $result = mysql_query($query) or die('Consulta de paciente fallida: ' . mysql_error());
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
  
 $s_sexo            = $line["sexoPaciente"];
 $s_apell1Paciente  = $line["apell1Paciente"];   
 $s_apell2Paciente  = $line["apell2Paciente"]; 
 $s_nomPaciente     = $line["nomPaciente"];  
 $s_nomPaciente2    = $line["nomPaciente2"]; 
 $s_edadPaciente    = $line["edadPaciente"];
 $w_rhPac           = $line["RH"];
 $w_nomPac = $s_nomPaciente . ' ' . $s_nomPaciente2 . ' ' . $s_apell1Paciente . ' ' .  $s_apell2Paciente;
 
?>

<p></p>
<table width="960" border="0" align="center" cellpadding="0" class="tablaProductos">  
  <tr>
    <td align="center" class="titulosTabla" colspan="3">
      <label>HISTORIA CLINICA ODONTOLOGICA DE URGENCIAS</label>
    </td>
  </tr> 
        
  <tr>
    <td width="30%"class="subtutulosTabla" align="center" style="border-radius:3px;" >Paciente:</td>
    <td width="60%" class="titulosTabla1" align="left" >
      <?=$e_tipoId?> No.: <?=$e_identifica?>  - <?=$w_nomPac?> 
    </td>
    <td width="10%" class="titulosTabla1">RH: <?=$w_rhPac?></td>
  </tr>       
</table> 

<?php
/*

  //TRAE EL DETALLE DE LOS TRABAJOS REALIZADOS EN EL TRATAMIENTO
 
  //arma tabla diagnosticos y procedimientos elegidos
  $queryTr = " SELECT A.*,  B.descripcion, C.nomCie10, D.desTratamiento" .
                  " FROM SIO_TRATAMIENTO_DET A, SIO_PROC_POS B, SIO_CIE10 C, SIO_LIS_TRAT D ".
                  " WHERE A.numTratamiento = $s_tratamiento AND ".
                  "       A.codCups  = B.cups AND ". 
                  "       A.codCie10 = C.codCie10 AND ".
                  "       A.codEspecialidad = D.codTratamiento order by A.numDiente";       
  $resultTr = mysql_query($queryTr) or die('Consulta de trabajos a desarrollar en el tratamiento fallida: ' . mysql_error());
          
  $k=0;
  while ($line = mysql_fetch_array($resultTr, MYSQL_ASSOC)) {
   $codMed    = $line["codMedPos"];
   $s_cuadrante       = $line['cuadrante'];
   $s_numDiente       = $line['numDiente'];
   $s_caraDiente      = $line['caraDiente'];
   $_codCie10         = $line['codCie10'];
   $s_nomCie10        = $line['nomCie10'];
   $s_descripcion     = $line['descripcion'];
   $s_desTratamiento  = $line['desTratamiento']; 
   $s_observaciones   = $line['observaciones'];               
   $s_estado          = $line['estado'];
   $s_numDet          = $line['numDet'];
   
   
   //valida estado
   if($s_estado=="I"){
     $clase = "class='activo'";
     $s_est = "Por Iniciar";
   }
   if($s_estado=="P"){
     $clase = "class='activo'";
     $s_est = "En Tratamiento";
   }
   if($s_estado=="T"){
     $clase = "class='inactivo'";
     $s_est = "Terminado";
   }
        
   echo("<table class='camposTabla' align='center' width='960' border='0' cellpading='0'>\n");
    if ($k==0){// para mostrar titulos 
      echo ("<tr>\n");
        echo("<td class='titulosLista' align='center' colspan='7'>LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS DEL TRATAMIENTO: $s_tratamiento</td>\n");
      echo("</tr>\n");
      echo("<tr class='titulosLista'>\n");
        echo("<td width='150'>Cuadrante/Diente/Cara </td>\n");
        echo("<td width='150'>Diagn&oacute;stico</td>\n");
        echo("<td width='200'>Procedimiento</td>\n");
        echo("<td width='200'>Especialidad</td>\n");
        echo("<td width='100'>Estado</td>\n"); 
        echo("<td width='100'>Realizar</td>\n"); 
      echo("</tr>\n");
    }       
    echo ("<tr class='camposLista'>\n");

      echo("<td width='150'>$s_cuadrante-$s_numDiente-$s_caraDiente</td>\n");
      echo("<td width='150'>$s_nomCie10</td>\n");
      echo("<td width='200'>$s_descripcion</td>\n");
      echo("<td width='200'>$s_desTratamiento</td>\n");
      
      echo("<td width='100' align='left'>\n");
                  echo("<table>\n");
                    echo("<tr>\n");
                      echo("<td width='100' $clase align='left'>$s_est</td>\n");
                    echo("</tr>\n"); 
                  echo("</table>\n");
      echo("</td>\n");        
      
      if($s_estado=="I" OR $s_estado=="P" ){
        
        $le  = $s_cuadrante."/".$s_numDiente."/".$s_caraDiente."/".$s_tratamiento."/".$pc."/".$s_numDet;
        
        $leT = base64_encode($le);
        echo("<td width='100' align='center'><a href=sioHisTrat.php?lin=$leT><input type='submit' id='antender' name='antender' value='Atender' style='width:130'><a/></td>\n");
      }
    echo("</tr>\n");   
        
   $k = $k+1;
 }//while
                  
 echo("</table>\n");  
  */
?>

<table align="center" border="1" width="960">
  <tr>
         <td class="titulosTabla1" colspan='2'><?=$mensaje?></td>
  </tr>
  <tr>
         <td class="titulosTabla1" colspan='2'><?=$mensaje_his?></td>
  </tr>
  <tr> 
        <td class="titulosTabla" colspan="2" align="left"> Toque el Tipo de Historia a Generar </td>
  </tr>
     
  <?php
    //envio a urgencias 
    session_start();
    $_SESSION['s_pc']=$pc;
    $_SESSION['s_tra']=$e_tratamiento;
    $lu  ="TRATAMIENTO/ME/N/".$pc."/".$e_tratamiento;  
    //echo $lu;
    $leHnP = base64_encode($lu);
  ?> 
      
  <tr class="camposTabla">
    <td align="center"><a href=datosOdontograma.php?lin=<?=$leHnP?> <?=$active?>><img src="imagenes/thumbs/odoTrat1.jpg" width="200" height="100"></a></td>  
    <!--<td align="center"><a href=sioHisUrg.php?lin=<?=$leHnP?> <?=$active?>><img src="imagenes/thumbs/odoUrg.jpg" width="200" height="100"></a>-->
   </tr>        
</table> 

<table align="center" border="1" width="960">
  <tr>
    <td colspan="2" align="center"> 
       <a href=sioBarraOdo0.php><img src="imagenes/btnVol.jpg"</a>
    </td>
  </tr>   
</table>